#!/usr/bin/env python

import numpy as np
import random

random.seed()
def experiment(p, n, reps):
    summed = 0

    for r in range(reps):
        heads = 0
        for i in range(n):
            if random.random() < p:
                heads += 1
        summed += heads
    summed /= reps
    return summed

print("p: 0.3, n: 10, reps = 8, result X: ", experiment(0.3, 10, 8))
print("p: 0.3, n: 100, reps = 8, result X: ", experiment(0.3, 100, 8))
print("p: 0.3, n: 1000, reps = 8, result X: ", experiment(0.3, 1000, 8))

print("p: 0.3, n: 10, reps = 1, result X: ", experiment(0.3, 10, 1))
print("p: 0.3, n: 100, reps = 1, result X: ", experiment(0.3, 100, 1))
print("p: 0.3, n: 1000, reps = 1, result X: ", experiment(0.3, 1000, 1))
